<?php


error_reporting(0);
ini_set(“display_errors”, 0 );
include "protege_professor.php";

$idusuario = $_SESSION['id_usuario'];

// ####################  FUNCOES PARA LOG ################################

function nome_user($id){
    
    include "conexao.php";
     $query_igpm = "SELECT nome_cli FROM cliente where idcliente = '$id'";      

                $executa_igpm = mysqli_query ($db, $query_igpm);                
                
            while ($buscar_amigoc = mysqli_fetch_assoc($executa_igpm)) {//--verifica se são amigos
           
             $nome_cli             = $buscar_amigoc['nome_cli'];
}
return $nome_cli;

} 
//function que grava usuario que alterou e o que alterou
function grava_log($data_log,$usuario_id,$descricao_log){

    include "conexao.php";
     $query_log = "INSERT INTO log (data_log,usuario_id,descricao_log) VALUES('$data_log','$usuario_id','$descricao_log')";
        $executa_log = mysqli_query($db, $query_log);
        return 1;
 }

$nome_usuario = nome_user($idusuario);
$data_log = date('d-m-Y H:i:s');
$usuario_id = $idusuario;
$descricao_log = "Usuário ".$nome_usuario ." cadastrou um novo endereço ";


grava_log($data_log,$usuario_id,$descricao_log);
//echo'chego traves _'.$descricao_log;die();
 // ###################################################

 $rua  = $_POST["rua"];
 $cep  = $_POST["cep"];
 $numero = $_POST["numero"];
 $complemento = $_POST["complemento"];
 $bairro = $_POST["bairro"];
 $cidade = $_POST["cidade"];
 $estado = $_POST["estado"];


 



 $resultado = array('rua' => $rua, 'cep' => $cep, 'numero' => $numero, 'complemento' => $complemento, 'bairro' => $bairro, 'cidade' => $cidade, 'estado' => $estado);



if($rua != "" && $cep != "" && $numero != "" && $bairro != "" && $cidade != "" && $estado != ""){
      
   echo json_encode($resultado);
   
}















?>